clc

%Constants:

format long
gamma=1.4;
D=gamma/(gamma-1)-.5; %for exponent use in M0 equation
Cp=1004;
h=4.5*10^7;
Pstp=101325;
Tstp=288;

Tt4_Tt2_ratio=xlsread('Performance_Envelope.xls',1 ,'E63:L63')
pi_c=xlsread('Performance_Envelope.xls',1 ,'E64:L64');
eff_c=xlsread('Performance_Envelope.xls',1 ,'E65:L65');
mdotcorr2=xlsread('Performance_Envelope.xls',1 ,'E66:L66');

%P_0=[30000 58000 101325];
%T_0=[230 287.5 288];

P_0=30000;
T_0=230;

for RPMline=1:1:8
    
mdotf=.1:.1:.7;
RPMline
Tt4_Tt2_ratio=Tt4_Tt2_ratio(RPMline);
pi_c=pi_c(RPMline);
eff_c=eff_c(RPMline);
mdotcorr2=mdotcorr2(RPMline);

tauc=1+1./(eff_c/100).*(pi_c.^((gamma-1)/gamma)-1);
C1=Cp*P_0/(Pstp*h)*mdotcorr2*(Tstp./T_0).^(.5)*(Tt4_Tt2_ratio-tauc);

M0=(((mdotf./C1).^(1/D)-1)*2/(gamma-1)).^(.5);

end


